package com.sun.security.jgss;

import sun.misc.HexDumpEncoder;
import jdk.Exported;

@Exported
public final class AuthorizationDataEntry
{
    private final int type;
    private final byte[] data;
    
    public AuthorizationDataEntry(int type, byte[] array) {
        this.type = type;
        this.data = (byte[])array.clone();
    }
    
    public int getType() {
        return this.type;
    }
    
    public byte[] getData() {
        return (byte[])this.data.clone();
    }
    
    @Override
    public String toString() {
        return "AuthorizationDataEntry: type=" + this.type + ", data=" + this.data.length + " bytes:\n" + new HexDumpEncoder().encodeBuffer(this.data);
    }
}
